VERSION 5.00
Begin VB.Form frmMain 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "WordSearh Puzzle"
   ClientHeight    =   7920
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   10845
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   528
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   723
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdLoad 
      Height          =   705
      Left            =   6480
      Style           =   1  'Graphical
      TabIndex        =   1
      Top             =   7080
      Width           =   1335
   End
   Begin VB.PictureBox picBuffer 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H00C0FFC0&
      BorderStyle     =   0  'None
      FillColor       =   &H00000040&
      FillStyle       =   0  'Solid
      ForeColor       =   &H008080FF&
      Height          =   375
      Left            =   120
      ScaleHeight     =   25
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   25
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   1080
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.PictureBox picBttnImg 
      AutoRedraw      =   -1  'True
      BackColor       =   &H00C0FFC0&
      BorderStyle     =   0  'None
      FillColor       =   &H00000040&
      FillStyle       =   0  'Solid
      ForeColor       =   &H008080FF&
      Height          =   345
      Left            =   120
      ScaleHeight     =   23
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   25
      TabIndex        =   5
      TabStop         =   0   'False
      Top             =   600
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.PictureBox picBack 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      BackColor       =   &H000000C0&
      BorderStyle     =   0  'None
      Height          =   375
      Left            =   120
      ScaleHeight     =   25
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   25
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   120
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.CommandButton cmdSelect 
      Default         =   -1  'True
      Height          =   705
      Left            =   7920
      Style           =   1  'Graphical
      TabIndex        =   2
      Top             =   7080
      Width           =   1335
   End
   Begin VB.CommandButton cmdCreate 
      Height          =   705
      Left            =   5040
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   7080
      Width           =   1335
   End
   Begin VB.CommandButton cmdQuit 
      Cancel          =   -1  'True
      Height          =   705
      Left            =   9360
      Style           =   1  'Graphical
      TabIndex        =   3
      Top             =   7080
      Width           =   1335
   End
   Begin VB.Image Image1 
      Height          =   1095
      Left            =   3120
      Picture         =   "frmMain.frx":030A
      Stretch         =   -1  'True
      Top             =   3000
      Width           =   4695
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCreate_Click()
frmCreate.Show
Enabled = False
End Sub

Private Sub cmdLoad_Click()

frmLoadPuzzle.Show
Enabled = False

End Sub

Private Sub cmdQuit_Click()
KillTimer 0, tTimer.lMoveBoardOnMagnificationTimer
KillTimer 0, tTimer.lMoveBoardOnPencilSelectionTimer
KillTimer 0, tTimer.lMoveBoardOnSelectionTimer
KillTimer 0, tTimer.lMoveBoardOnWordSelectionTimer
KillTimer 0, tTimer.lSelectionTimer
End
End Sub

Private Sub cmdSelect_Click()
frmSelectPuzzle.Show
Enabled = False
End Sub

Private Sub Command1_Click()

    ' Fetch words from the database and store them in a variable.
    Dim sWords  As String
    Dim cRS     As ADODB.Recordset
    
    Set cRS = New ADODB.Recordset
    
    Set cRS = CN.Execute("SELECT CONCAT_WS(',',`word`,CAST(`lenword` AS CHAR),CAST(`picked` AS CHAR)) AS `entry` FROM all_words ORDER BY `word`")
    If Not cRS.EOF And Not cRS.BOF Then
        Do While Not cRS.EOF
            sWords = sWords & cRS.Fields("entry") & vbCrLf
            cRS.MoveNext
        Loop
    End If

    Dim fNum    As Integer
    Dim IsOpen  As Boolean
    
    fNum = FreeFile
    Open App.Path & "\MyWords.txt" For Output As #fNum
    IsOpen = True
    Print #fNum, sWords
    
    If IsOpen Then Close (fNum)

End Sub

Private Sub Form_Load()

SetFormIcon Me
SetObjectBackGround picBack, Me
SetObjectImage cmdQuit, "Quit", 106, picBuffer, picBttnImg, Me
SetObjectImage cmdCreate, "Create", 107, picBuffer, picBttnImg, Me
SetObjectImage cmdSelect, "Select Board", 111, picBuffer, picBttnImg, Me
SetObjectImage cmdLoad, "Load Game", 114, picBuffer, picBttnImg, Me

End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

If UnloadMode = vbFormControlMenu Then Cancel = True: Exit Sub

Set CN = Nothing
Set RS = Nothing

End Sub

