VERSION 5.00
Begin VB.Form frmProcWords 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Miscellaneous Routines"
   ClientHeight    =   8100
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   10905
   LinkTopic       =   "Form1"
   ScaleHeight     =   540
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   727
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdSaveRec 
      Caption         =   "&Save Records to DB"
      Height          =   375
      Left            =   240
      TabIndex        =   8
      Top             =   1680
      Width           =   1695
   End
   Begin VB.CommandButton cmdCreateGrid 
      Caption         =   "&Create Board"
      Height          =   375
      Left            =   240
      TabIndex        =   7
      Top             =   2160
      Width           =   1455
   End
   Begin VB.CommandButton cmdProcess 
      Caption         =   "&Process Words"
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1455
   End
   Begin VB.Label lbl 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      Caption         =   "0"
      ForeColor       =   &H80000008&
      Height          =   495
      Index           =   0
      Left            =   -240
      TabIndex        =   6
      Top             =   2880
      Visible         =   0   'False
      Width           =   495
   End
   Begin VB.Label lblWord 
      Height          =   255
      Left            =   1800
      TabIndex        =   5
      Top             =   1200
      Width           =   3735
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "Current word:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   240
      TabIndex        =   4
      Top             =   1200
      Width           =   1455
   End
   Begin VB.Label lblDesc 
      Caption         =   "Label2"
      Height          =   375
      Left            =   1800
      TabIndex        =   3
      Top             =   240
      Width           =   6015
   End
   Begin VB.Label lblCurLetter 
      Height          =   255
      Left            =   1800
      TabIndex        =   2
      Top             =   840
      Width           =   975
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Current letter:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   840
      Width           =   1455
   End
End
Attribute VB_Name = "frmProcWords"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub cmdCreateGrid_Click()

Dim C   As Integer
Dim R   As Integer
Dim i   As Integer

For R = 1 To 10
    For C = 1 To 15
        i = i + 1
        Load lbl(i)
        lbl(i).Left = C * lbl(i).Width + lbl(0).Left
        lbl(i).Top = R * lbl(i).Height + lbl(0).Top
        lbl(i).Caption = CStr(C) & "," & CStr(R)
        lbl(i).Visible = True
    Next
Next

End Sub

Private Sub cmdProcess_Click()

Dim lCtr            As Integer
Dim i               As Integer
Dim curLetter       As String
Dim CurWords()      As String
Dim curWord         As String
Dim j               As Long
Dim aWords()        As String
Dim lenW            As Integer
Dim wLengths        As String


lCtr = 97
For i = 0 To 25
    'Get the current letter
    curLetter = Chr(lCtr + i)
    lblCurLetter = curLetter
    
    'Set the current letter.
    wLengths = wLengths & curLetter & ":"
    
    'Open the Improper.txt file.
    Open App.Path & "\Improper.txt" For Input As #1
    lblDesc = "Opening Improper.txt"
    While Not EOF(1)
        Line Input #1, curWord
        DoEvents
    Wend
    Close (1)

    'Split the words.
    lblDesc = "Splitting the words"
    CurWords = Split(curWord, STR_SEPARATOR)
    
    lblDesc = "Redimensioning the words array variable"
    ReDim aWords(50) As String
    For j = 1 To 50
        aWords(j) = EMPTY_STRING
        DoEvents
    Next
    
    
    'Get all the words beginning with the current letter.
    lblDesc = "Fetching all the words starting with the current letter"
    For j = 0 To UBound(CurWords) - 1
        If StrComp(Mid(CurWords(j), 1, 1), curLetter, vbTextCompare) = 0 Then
            lenW = Len(CurWords(j))
            aWords(lenW) = aWords(lenW) & CurWords(j) & STR_SEPARATOR
            lblWord = CurWords(j)
            DoEvents
        End If
    Next
        
    lblWord = EMPTY_STRING
        
    lblDesc = "Storing words in a text file based on their lengths"
    'Store words based on their length
    For j = 1 To 50
        If aWords(j) <> EMPTY_STRING Then
            Open App.Path & "\Words\" & curLetter & CStr(j) & ".txt" For Output As #1
            Print #1, aWords(j)
            Close (1)
            lblWord = aWords(j)
            wLengths = wLengths & CStr(j) & ":"
            DoEvents
        End If
    Next
    
    wLengths = wLengths & vbCrLf
    lblDesc = EMPTY_STRING
    lblWord = EMPTY_STRING
    lblCurLetter = EMPTY_STRING
    DoEvents
  
Next
    
Open App.Path & "\Words\WordLen.txt" For Output As #1
Print #1, wLengths
Close (1)

End Sub

Private Sub cmdSaveRec_Click()

Dim sWords          As String
Dim asWords()       As String
Dim i               As Long

Open App.Path & "\Improper.txt" For Input As #1
While Not EOF(1)
    Line Input #1, sWords
Wend
Close (1)

asWords = Split(sWords, STR_SEPARATOR)

For i = 0 To UBound(asWords) - 1
    Set RS = CN.Execute("INSERT INTO WS.Words SET Word='" & asWords(i) & "', LenWord=" & CStr(Len(asWords(i))))
    DoEvents
    lblWord = asWords(i)
Next
lblWord = EMPTY_STRING

MsgBox "Finish"

End Sub
